Export target

  • GET
  • /workspaces
  • /:workspace
  • /targets
  • /:target_id
  • /yaml

Export the configuration of a single target as YAML, ready to keep in a repository or reuse when creating another target.

Request

REQUIRED SCOPES
TARGET_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

target_idrequiredstring
Target unique identifier (hash ID)

Example: "tgt-1234567890abcdef"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
yamlstring
The Base64-encoded YAML definition of the target

Last modified on Aug 18, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/targets/:target_id/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "yaml": "LSB0YXJnZXQ6..." }
STATUS
200 OK